import { CSSProperties, ReactNode } from "react";
type CheckboxProps = {
    name: string;
    disabled?: boolean;
    children?: ReactNode;
    label?: ReactNode;
    style?: CSSProperties;
    checkedStyle?: CSSProperties;
    disabledStyle?: CSSProperties;
    disabledCheckedStyle?: CSSProperties;
    onChange?: (value?: boolean) => void;
};
declare const Checkbox: {
    ({ name, disabled, children, label, style, checkedStyle, disabledStyle, disabledCheckedStyle, onChange, }: CheckboxProps): JSX.Element;
    Label: ({ children, style }: {
        children: ReactNode;
        style?: CSSProperties | undefined;
    }) => JSX.Element;
    Button: {
        ({ size, color, borderColor, disabledColor, disabledBorderColor, borderRadius, ...inputProps }: Omit<import("react").InputHTMLAttributes<HTMLInputElement>, "style" | "type" | "disabled" | "value" | "placeholder" | "onChange" | "size" | "checked"> & {
            size?: import("csstype").Property.Width<string | number> | undefined;
            color?: import("csstype").Property.BackgroundColor | undefined;
            borderColor?: import("csstype").Property.BorderColor | undefined;
            disabledColor?: import("csstype").Property.BackgroundColor | undefined;
            disabledBorderColor?: import("csstype").Property.BorderColor | undefined;
            borderRadius?: import("csstype").Property.BorderRadius<string | number> | undefined;
        }): JSX.Element;
        Label: ({ children, style }: {
            children: ReactNode;
            style?: CSSProperties | undefined;
        }) => JSX.Element;
    };
    ErrorMessage: ({ style }: {
        style?: CSSProperties | undefined;
    }) => JSX.Element | null;
};
export default Checkbox;
